org.icefaces.ace.model.table

## Class RowStateWrapper

- java.lang.Object
- - org.icefaces.ace.model.table.RowStateWrapper

-     public class RowStateWrapper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowStateWrapper()`
    `RowStateWrapper(java.lang.Object row, DataTable table)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(RowStateWrapper child)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getChildCount()`
    `java.util.List<RowStateWrapper>` | `getChildren()`
    `org.icefaces.ace.model.table.RowStateWrapper.ExpansionType` | `getExpansionType()`
    `RowStateWrapper` | `getParent()`
    `java.lang.Object` | `getRow()`
    `java.lang.String` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isEditable()`
    `boolean` | `isExpandable()`
    `boolean` | `isExpanded()`
    `boolean` | `isSelectable()`
    `boolean` | `isSelected()`
    `boolean` | `isVisible()`
    `void` | `setEditable(boolean editable)`
    `void` | `setExpandable(boolean expandable)`
    `void` | `setExpanded(boolean expanded)`
    `void` | `setExpansionType(org.icefaces.ace.model.table.RowStateWrapper.ExpansionType expansionType)`
    `void` | `setParent(RowStateWrapper rowState)`
    `void` | `setRow(java.lang.Object row)`
    `void` | `setSelectable(boolean selectable)`
    `void` | `setSelected(boolean selected)`
    `void` | `setType(java.lang.String type)`
    `void` | `setVisible(boolean visible)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowStateWrapper

          public RowStateWrapper()

    - #### RowStateWrapper

          public RowStateWrapper(java.lang.Object row,
                                 DataTable table)

  - ### Method Detail

    - #### getRow

          public java.lang.Object getRow()

    - #### setRow

          public void setRow(java.lang.Object row)

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean selected)

    - #### isExpanded

          public boolean isExpanded()

    - #### setExpanded

          public void setExpanded(boolean expanded)

    - #### isEditable

          public boolean isEditable()

    - #### setEditable

          public void setEditable(boolean editable)

    - #### isVisible

          public boolean isVisible()

    - #### setVisible

          public void setVisible(boolean visible)

    - #### getChildren

          public java.util.List<RowStateWrapper> getChildren()

    - #### addChild

          public void addChild(RowStateWrapper child)

    - #### getParent

          public RowStateWrapper getParent()

    - #### setParent

          public void setParent(RowStateWrapper rowState)

    - #### getChildCount

          public int getChildCount()

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String type)

    - #### isSelectable

          public boolean isSelectable()

    - #### setSelectable

          public void setSelectable(boolean selectable)

    - #### isExpandable

          public boolean isExpandable()

    - #### setExpandable

          public void setExpandable(boolean expandable)

    - #### getExpansionType

          public org.icefaces.ace.model.table.RowStateWrapper.ExpansionType getExpansionType()

    - #### setExpansionType

          public void setExpansionType(org.icefaces.ace.model.table.RowStateWrapper.ExpansionType expansionType)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.